Eclipse Platform Release 3.7

## org.eclipse.help
Class AbstractTocProvider

    java.lang.Object
      org.eclipse.help.AbstractTocProvider

    public abstract class AbstractTocProvider

extends Object

An `AbstractTocProvider` is a mechanism to provide arbitrary content to the table of contents (TOC). `AbstractTocProvider`s must be registered via the `org.eclipse.help.toc` extension point.

Since:
  3.3

Field Summary
`static int` `DEFAULT_PRIORITY` Default priority for toc providers that do not override getPriority()
`static int` `TOC_FILE_PRIORITY` Priority for toc files read from the local file system

Constructor Summary
`AbstractTocProvider()`

Method Summary
`protected void` `contentChanged()` Notifies the platform that the content managed by this provider may have changed since the last time `getTocContributions()` was called, and needs to be updated.
`int` `getPriority()` If two toc contributions have the same id, the one with higher priority will be shown.
`abstract ITocContribution[]` `getTocContributions(String locale)` Returns all toc contributions for this provider.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PRIORITY

    public static final int DEFAULT_PRIORITY

  Default priority for toc providers that do not override getPriority()

  Since:
    3.5
  See Also:
    Constant Field Values

### TOC_FILE_PRIORITY

    public static final int TOC_FILE_PRIORITY

  Priority for toc files read from the local file system

  Since:
    3.5
  See Also:
    Constant Field Values

Constructor Detail

### AbstractTocProvider

    public AbstractTocProvider()

Method Detail

### getTocContributions

    public abstract ITocContribution[] getTocContributions(String locale)

  Returns all toc contributions for this provider. Providers are free to provide any number of contributions (zero or more).

  Parameters:
    `locale` - the locale for which to get contributions
  Returns:
    all the contributions for this provider

### contentChanged

    protected void contentChanged()

  Notifies the platform that the content managed by this provider may have changed since the last time `getTocContributions()` was called, and needs to be updated.

### getPriority

    public int getPriority()

  If two toc contributions have the same id, the one with higher priority will be shown. For example, a provider with priority 1 will take precedence over a provider with priority 2.

  Returns:
    the priority of this provider
  Since:
    3.5

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.